HFST-APERTIUM-PROC(1)

NAME
hfst-apertium-proc - =Usage: hfst-proc [-a [-p|-C|-x] [-k]|-g|-n|-d|-t] [-W] [-n N] [-c|-w] [-z] [-v|-q|]

SYNOPSIS
hfst-proc [-a [-p|-C|-x] [-k]|-g|-n|-d|-t] [-W] [-n N] [-c|-w] [-z] [-v|-q|]

DESCRIPTION

    transducer_file [input_file [output_file]]

Perform a transducer lookup on a text stream, tokenizing on the fly Transducer must be in HFST optimized lookup format

-a, --analysis
    Morphological analysis (default)

-g, --generation
    Morphological generation

-n, --non-marked-gen
    Morph. generation without unknown word marks

-d, --debugged-gen
    Morph. generation with everything printed

-t  --tokenize
    Tokenize the input stream into symbols (for debugging)

-p  --apertium
    Apertium output format for analysis (default)

-C  --cg
    Constraint Grammar output format for analysis

-x, --xerox
    Xerox output format for analysis

-e, --do-compounds
    Treat '+' and '#' as compound boundaries

-k, --keep-compounds
    Retain compound analyses even when analyses with fewer compound-boundaries are available

-W, --show-weights
    Print final analysis weights (if any)

-r, --show-raw-in-cg
    Print the raw analysis string as sub-reading in CG output

-N N, --analyses=N
    Output no more than N analyses (if the transducer is weighted, the N best analyses)

--weight-classes N
    Output no more than N best weight classes (where analyses with equal weight constitute a class

-c, --case-sensitive
    Perform lookup using the literal case of the input characters

-w  --dictionary-case
    Output results using dictionary case instead of surface case

-z  --null-flush
    Flush output on the null character

-v, --verbose
    Be verbose

-q, --quiet
    Don't be verbose (default)

-V, --version
    Print version information

-h, --help
    Print this help message

-X, --raw
    Do not perform any mangling to: case, ``superblanks'' or anything else!!!

REPORTING BUGS
Report bugs to hfst-bugs@helsinki.fi

hfst-proc 0.0 (hfst 3.12.2)
Mar 23 2017 15:03:05 copyright (C) 2009-2011 University of Helsinki